Package org.optaplanner.core.impl.score.buildin.bendablebigdecimal

## Class BendableBigDecimalScoreInliner

- java.lang.Object
- - org.optaplanner.core.impl.score.inliner.ScoreInliner<BendableBigDecimalScore>
  - - org.optaplanner.core.impl.score.buildin.bendablebigdecimal.BendableBigDecimalScoreInliner

-     public final class BendableBigDecimalScoreInliner
      extends ScoreInliner<BendableBigDecimalScore>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `constraintMatchEnabled`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BendableBigDecimalScoreInliner​(Map<Constraint,​BendableBigDecimalScore> constraintToWeightMap, boolean constraintMatchEnabled, int hardLevelsSize, int softLevelsSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `WeightedScoreImpacter` | `buildWeightedScoreImpacter​(Constraint constraint)` | Create a new instance of `WeightedScoreImpacter` for a particular constraint.
    `BendableBigDecimalScore` | `extractScore​(int initScore)` |
    `String` | `toString()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `addConstraintMatch, getConstraintMatchTotalMap, getConstraintWeight, getIndictmentMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BendableBigDecimalScoreInliner

          public BendableBigDecimalScoreInliner​(Map<Constraint,​BendableBigDecimalScore> constraintToWeightMap,
                                                boolean constraintMatchEnabled,
                                                int hardLevelsSize,
                                                int softLevelsSize)

  - ### Method Detail

    - #### buildWeightedScoreImpacter

          public WeightedScoreImpacter buildWeightedScoreImpacter​(Constraint constraint)

      Description copied from class: `ScoreInliner`
      Create a new instance of `WeightedScoreImpacter` for a particular constraint.
      Specified by:
        `buildWeightedScoreImpacter` in class `ScoreInliner<BendableBigDecimalScore>`
      Parameters:
        `constraint` - never null
      Returns:
        never null

    - #### extractScore

          public BendableBigDecimalScore extractScore​(int initScore)

      Specified by:
        `extractScore` in class `ScoreInliner<BendableBigDecimalScore>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`